Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMHashModel

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel
      - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMHashModel

    public class ASMHashModel
    extends ASMModel

Deprecated.
Prototype ASMModel using HashMaps to store contents. Only stores models, metamodels must be loaded into another repository (e.g. EMF or MDR). This class has not been modified to use the ModelLoader scheme. It has not been updated for a long time and may not work without some improvements.

### Field Summary

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel

`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`ASMModelElement` `findModelElement​(java.lang.String name)` Deprecated. Finds a Classifier in a Metamodel.
`java.util.Set` `getElementsByType​(ASMModelElement ame)` Deprecated.
`static ASMHashModel` `loadASMHashModel​(java.lang.String name, ASMModel metamodel, java.lang.String url, ModelLoader ml)` Deprecated.
`static ASMHashModel` `newASMHashModel​(java.lang.String name, ASMModel metamodel, ModelLoader ml)` Deprecated.
`ASMModelElement` `newModelElement​(ASMModelElement type)` Deprecated.

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMModel

`getElementsByType, getMetamodel, getModelLoader, getName, isCheckSameModel, isTarget, newModelElement, newModelElement, setCheckSameModel, setIsTarget, toString`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### findModelElement

    public ASMModelElement findModelElement​(java.lang.String name)

Deprecated.
Description copied from class: `ASMModel`
Finds a Classifier in a Metamodel.

Specified by:
  `findModelElement` in class `ASMModel`

#### newModelElement

    public ASMModelElement newModelElement​(ASMModelElement type)

Deprecated.

Specified by:
  `newModelElement` in class `ASMModel`

#### newASMHashModel

    public static ASMHashModel newASMHashModel​(java.lang.String name,
                                               ASMModel metamodel,
                                               ModelLoader ml)
                                        throws java.lang.Exception

Deprecated.

Throws:
  `java.lang.Exception`

#### getElementsByType

    public java.util.Set getElementsByType​(ASMModelElement ame)

Deprecated.

Specified by:
  `getElementsByType` in class `ASMModel`

#### loadASMHashModel

    public static ASMHashModel loadASMHashModel​(java.lang.String name,
                                                ASMModel metamodel,
                                                java.lang.String url,
                                                ModelLoader ml)
                                         throws java.lang.Exception

Deprecated.

Throws:
  `java.lang.Exception`